Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229885 - CVE-2007-0958 core-dumping unreadable binaries via PT_INTERP
Summary: CVE-2007-0958 core-dumping unreadable binaries via PT_INTERP
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Don Howard
QA Contact: Brian Brock
URL:
Whiteboard: impact=low,source=vendorsec,reported=...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-23 23:07 UTC by Linda Wang
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHSA-2007-0099
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-14 15:05:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0099 normal SHIPPED_LIVE Important: kernel security and bug fix update 2007-03-14 15:04:45 UTC

Description Linda Wang 2007-02-23 23:07:47 UTC
+++ This bug was initially created as a clone of Bug #228886 +++

CVE-2004-1073 is still an issue -- PoC can still cause a coredump of a
non-readable binary such as /usr/bin/sudo; PoC attached; the tweak is question
is adding:

  eph.p_memsz = 4097;

Run "./poc /usr/bin/sudo" and a "core" spits out -- WFM on a 2.6.17.x kernel.

-- Additional comment from holtmann@redhat.com on 2007-02-15 14:07 EST --
Created an attachment (id=148136)
Proposed upstream patch


-- Additional comment from pm-rhel@redhat.com on 2007-02-23 14:04 EST --
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

-- Additional comment from jturner@redhat.com on 2007-02-23 14:05 EST --
QE ack for RHEL5.

Comment 2 Don Howard 2007-02-27 01:28:30 UTC
A patch addressing this issue is included in build 2.6.18-8.1.1.el5.

Comment 10 Mike Gahagan 2007-03-06 23:24:58 UTC

ok, with that change I can now reproduce the problem and have sucessfully tested
the fix on i686 and x86_64 (using a 32-bit poc and sudo binary)


Comment 12 Red Hat Bugzilla 2007-03-14 15:05:15 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0099.html



Note You need to log in before you can comment on or make changes to this bug.